This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 492689 - Cannot make PDFs if they contain tables
Cannot make PDFs if they contain tables
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-28 07:08 EDT by Ruediger Landmann
Modified: 2010-11-23 23:18 EST (History)
6 users (show)

See Also:
Fixed In Version: 1.2-0.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 00:20:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Chapter.xml as created by create_book, with a simple table added (620 bytes, text/xml)
2009-03-28 07:08 EDT, Ruediger Landmann
no flags Details

  None (edit)
Description Ruediger Landmann 2009-03-28 07:08:09 EDT
Created attachment 337102 [details]
Chapter.xml as created by create_book, with a simple table added

Description of problem:
Publican cannot make a PDF if the xml files contain a table. The html versions make correctly.

Version-Release number of selected component (if applicable):
0.44

How reproducible:
100%

Steps to Reproduce:
1. Create a book
2. Include a table in the book
3. make a PDF 
  
Actual results:
Publican will make the PDF correctly up to the point at which the first table appears in the book. Output when making a book including the sample Chapter attached here:

Making portrait pages on A4 paper (210mmx297mm)                                               
No adjustColumnWidths function available.                                                     
Running FOP:                                                                                  
Mar 28, 2009 8:00:56 PM org.apache.fop.apps.FopFactoryConfigurator configure                  
INFO: Default page-height set to: 240mm                                                       
Mar 28, 2009 8:00:56 PM org.apache.fop.apps.FopFactoryConfigurator configure                  
INFO: Default page-width set to: 120mm
Mar 28, 2009 8:01:02 PM org.apache.fop.fonts.FontInfo notifyFontReplacement
WARNING: Font 'Symbol,normal,700' not found. Substituting with 'Symbol,normal,400'.
Mar 28, 2009 8:01:02 PM org.apache.fop.fonts.FontInfo notifyFontReplacement
WARNING: Font 'ZapfDingbats,normal,700' not found. Substituting with 'ZapfDingbats,normal,400'.
Mar 28, 2009 8:01:02 PM org.apache.fop.hyphenation.Hyphenator getHyphenationTree
SEVERE: Couldn't find hyphenation pattern en
Mar 28, 2009 8:01:03 PM org.apache.fop.fonts.FontInfo notifyFontReplacement
WARNING: Font 'ZapfDingbats,italic,400' not found. Substituting with 'ZapfDingbats,normal,400'.
Mar 28, 2009 8:01:04 PM org.apache.fop.area.AreaTreeHandler addOffDocumentItem
WARNING: Bookmarks: Unresolved id reference "appe-Publican-Revision_History" found.
Mar 28, 2009 8:01:04 PM org.apache.fop.area.AreaTreeHandler addOffDocumentItem
WARNING: Bookmarks: Unresolved id reference "id3000315" found.
Mar 28, 2009 8:01:04 PM org.apache.fop.area.RenderPagesModel checkPreparedPages
WARNING: Page iii: Unresolved id reference "appe-Publican-Revision_History" found.
Mar 28, 2009 8:01:04 PM org.apache.fop.area.RenderPagesModel checkPreparedPages
WARNING: Page iii: Unresolved id reference "id3000315" found.
Mar 28, 2009 8:01:04 PM org.apache.fop.render.pdf.PDFRenderer renderBookmarkItem
WARNING: Bookmark with IDRef "appe-Publican-Revision_History" has a null PageViewport.
Mar 28, 2009 8:01:04 PM org.apache.fop.render.pdf.PDFRenderer renderBookmarkItem
WARNING: Bookmark with IDRef "id3000315" has a null PageViewport.
END: pdf-en-US Sat Mar 28 20:01:05 EST 2009


Expected results:
Publican makes the entire book into a PDF

Additional info:
Comment 1 Darrin Mison 2009-04-01 01:58:08 EDT
It also reports same errors & fails for <informaltable> too on F10 0.44

No issue with RHEL 0.45 didn't notice anything with RHEL 0.44
Comment 2 Jeroen van Meeuwen 2009-06-11 20:32:42 EDT
Confirmed for F-11 0.44 Publican
Comment 3 Michael Hideo 2009-06-16 21:51:35 EDT
On the list for investigation during the F12 timeframe
Comment 4 Jeff Fearn 2009-08-10 19:21:59 EDT
This should be fixed in the beta.
Comment 5 Ruediger Landmann 2009-09-07 23:47:03 EDT
Fixed in 1.0 

Tested on a book with many tables[1] -- cannot reproduce past behaviour.



[1] http://git.fedorahosted.org/git/docs/install-guide.git
Comment 6 Fedora Update System 2009-11-17 21:19:08 EST
publican-1.2-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.2-0.fc12
Comment 7 Bug Zapper 2009-11-18 04:12:11 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora Update System 2009-11-20 00:18:15 EST
publican-1.2-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-11-25 09:53:21 EST
publican-1.2-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.